Skip to main content
POST
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
cloudProviderInfo
Specify cluster cloud provider info and credentials
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/cloudProviderInfo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cloud_provider": "AWS",
  "credentials": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "region": "<string>"
}
'
{
  "cloud_provider": "AWS",
  "credentials": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "region": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Body

application/json
cloud_provider
enum<string>
Available options:
AWS,
SCW,
GCP,
ON_PREMISE,
AZURE
credentials
object
region
string

Response

Create cluster

cloud_provider
enum<string>
Available options:
AWS,
SCW,
GCP,
ON_PREMISE,
AZURE
credentials
object
region
string